Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031856
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-01-11 11:492016-03-17 10:55
ReportermaiteView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revision17c442ff5b2b
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031856: It is not supported to have more than one "Tree and node image" record defined for same client

DescriptionWhen defining more than "Tree and node image" records for same client, then Tree view from Account Tree | Element Value tab does not work
Steps To Reproduce1. Create new record in Tree and Node Image window with Type Area= EV
2. Create new record in Account Tree window for EspaƱa organization and pointing to your new tree
3. Create Element Value defined as Account and Summary Level=yes
4. Create Element Value defined as SubAccount and Summary Level=no
5. Press Tree view icon from element value tab and realize that elements are not shown

NOTE: if you create new Account Tree element, pointing to "F&B International Group Element Value (Account, etc.)" tree then tree view works correctly
TagsNo tags attached.
Attached Filesdiff file icon issue31856.diff [^] (14,066 bytes) 2016-01-18 09:46 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00259063.0PR14Q2 closedAugustoMauch Tree Extension Project 
related to defect 0033198 closeddmiguelez Wrong Organization in treenode 
related to defect 0033412 closedcaristu error in tree sub tab when creating record in its header 

-  Notes
(0083364)
alostale (developer)
2016-01-18 09:46

Attached WiP fix
(0083610)
hgbot (developer)
2016-01-26 11:55

Repository: erp/devel/pi
Changeset: 17c442ff5b2b356144810cf70cbfb493ca625bbb
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jan 26 10:30:45 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/17c442ff5b2b356144810cf70cbfb493ca625bbb [^]

fixes issue 31856: allow multiple 'Tree and node image' for same client

The Account Tree window was using the ADTreeDatasourceService which asumes that a table is always represented by the same AD_Tree. In this case, two account trees (c_elementvalue table) can have different base trees to display their information. In order to support this scenario, a new datasource has been created: AccountTreeDatasourceService which allows to select the correct base tree on each case.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/OBSERDS_DATASOURCE.xml
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TABLE_TREE.xml
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/AccountTreeDatasourceService.java
---
(0083613)
hgbot (developer)
2016-01-26 12:58

Repository: erp/devel/pi
Changeset: 55b87803d2f40f95e88a5f0329e7b276c2a02bf4
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jan 26 12:57:37 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/55b87803d2f40f95e88a5f0329e7b276c2a02bf4 [^]

related to issue 31856: remove comment and add missing javadoc descriptions

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
---
(0083716)
alostale (developer)
2016-01-29 09:41

Code reviewed + tested
(0085081)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085082)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-11 11:49 maite New Issue
2016-01-11 11:49 maite Assigned To => Triage Finance
2016-01-11 11:49 maite Modules => Core
2016-01-11 11:49 maite Triggers an Emergency Pack => No
2016-01-11 11:58 maite Issue Monitored: networkb
2016-01-15 06:44 AtulOpenbravo Assigned To Triage Finance => platform
2016-01-15 12:21 alostale Relationship added related to 0025906
2016-01-15 12:32 alostale Status new => acknowledged
2016-01-18 09:46 alostale File Added: issue31856.diff
2016-01-18 09:46 alostale Note Added: 0083364
2016-01-19 08:55 caristu Assigned To platform => caristu
2016-01-19 08:55 caristu Status acknowledged => scheduled
2016-01-26 11:54 caristu Review Assigned To => alostale
2016-01-26 11:54 caristu Issue Monitored: alostale
2016-01-26 11:55 hgbot Checkin
2016-01-26 11:55 hgbot Note Added: 0083610
2016-01-26 11:55 hgbot Status scheduled => resolved
2016-01-26 11:55 hgbot Resolution open => fixed
2016-01-26 11:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/17c442ff5b2b356144810cf70cbfb493ca625bbb [^]
2016-01-26 12:58 hgbot Checkin
2016-01-26 12:58 hgbot Note Added: 0083613
2016-01-29 09:41 alostale Note Added: 0083716
2016-01-29 09:41 alostale Status resolved => closed
2016-01-29 09:41 alostale Fixed in Version => 3.0PR16Q2
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085081
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085082
2016-06-14 10:37 alostale Relationship added related to 0033198
2016-08-22 14:05 caristu Relationship added related to 0033412


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker